inline float absv( float v )
{
	return v < 0.f ? -v : v;
}

inline float minv( float a, float b )
{
	return b < a ? b : a;
}

inline float maxv( float a, float b )
{
	return a < b ? b : a;
}

inline void sincos( float a, float* sina, float* cosa )
{
	*sina = sinf(a);
	*cosa = cosf(a);
}

inline float step( float edge, float v )
{
	return v < edge ? 0.f : 1.f;
}

inline float clamp( float v, float vmin, float vmax )
{
	return v < vmin ? vmin : (vmax < v ? vmax : v);
}

inline float saturate( float v )
{
	return v < 0.f ? 0.f : (1.f < v ? 1.f : v);
}

inline bool check( float v )
{
	return v <= FLT_MAX && v >= -FLT_MAX;
}

inline float length( float v )
{
	return v < 0.f ? -v : v;
}

inline float radians( float deg )
{
	return deg * 0.017453292519943295769236907684886f; // pi/180
}

inline float degrees( float rad )
{
	return rad * 57.295779513082320876798154814105f; // 180/pi;
}

// This file is part of 'slmath' C++ library. Copyright (C) 2009 Jani Kajala (kajala@gmail.com). See http://sourceforge.net/projects/slmath/
