#ifndef SLMATH_SLMATH_H
#define SLMATH_SLMATH_H

/**
 * @defgroup slmath Mathematics library.
 * 
 * Shading Language Math for C++. 
 * C++ math lib for game and 3D-graphics programming with GPU shading language-like classes 
 * such as vec2, vec3, vec4, mat4, plus helper functions. GLSL specs followed closely. 
 * Robust implementation: All results checked in debug build + many unit tests.
 *
 * Author: Jani Kajala (kajala@gmail.com)
 *
 * @see https://sourceforge.net/projects/slmath/
 */

#include <slmath/float_util.h>
#include <slmath/intersect_util.h>
#include <slmath/mat4.h>
#include <slmath/vec2.h>
#include <slmath/vec3.h>
#include <slmath/vec4.h>
#include <slmath/quat.h>
#include <slmath/Random.h>
#include <slmath/random_util.h>
#include <slmath/runtime_checks.h>

#endif

// This file is part of 'slmath' C++ library. Copyright (C) 2009 Jani Kajala (kajala@gmail.com). See http://sourceforge.net/projects/slmath/
