#include <slmath/Random.h>
#include <time.h>

SLMATH_BEGIN()

Random::Random()
{
	time_t t;
	time( &t );

	m_seed = (int)t;
	m_mt.init_genrand( m_seed );
}

Random::Random( int seed ) :
	m_seed( seed )
{
	m_mt.init_genrand( m_seed );
}

float Random::randomFloat()
{
	return (float)m_mt.genrand_real1();
}

float Random::randomFloatOpen()
{
	return (float)m_mt.genrand_real2();
}

int Random::randomInt()
{
	return m_mt.genrand_int32();
}

int Random::seed() const
{
	return m_seed;
}

SLMATH_END()
